Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158273 - Add init scripts to bittorrent package
Summary: Add init scripts to bittorrent package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bittorrent
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-20 07:19 UTC by Seth Vidal
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.1.1-2
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 10:39:56 UTC


Attachments (Terms of Use)
tar ball of the init scripts and sysconfig files (deleted)
2005-05-20 07:19 UTC, Seth Vidal
no flags Details
new bittorrent init scripts for tracker and seed (deleted)
2005-06-01 06:21 UTC, Seth Vidal
no flags Details

Description Seth Vidal 2005-05-20 07:19:22 UTC
Description of problem:
Add init scripts (soon to be attached) to bittorrent package so users can easily
setup trackers and seeders on their own.

See attached.

Comment 1 Seth Vidal 2005-05-20 07:19:22 UTC
Created attachment 114617 [details]
tar ball of the init scripts and sysconfig files

Comment 2 Seth Vidal 2005-05-20 07:20:08 UTC
It'd be really spiffy if it could get a logrotate.d file, too.

Comment 3 Paul Howarth 2005-05-20 09:39:11 UTC
Do you have any sample log files for the tracker?

Comment 4 Paul Howarth 2005-05-23 10:39:56 UTC
Forget the logfile samples request - I was thinking of logwatch rather than
logrotate.

Initscripts added in bittorrent-4.0.1-2, currently in build queue.

Comment 5 Seth Vidal 2005-05-30 05:37:22 UTC
I'll be posting some new init scripts for bittorrent shortly.

the ones I posted before kinda sucked for various reasons. These are mo-betta.



Comment 6 Paul Howarth 2005-05-30 09:51:47 UTC
Glad to hear it; I noticed that btseed was causing initlog to use lots of CPU
and memory after a while, probably because it didn't daemonize properly, but I
haven't had chance to investigate yet.

Comment 7 Seth Vidal 2005-06-01 06:21:38 UTC
Created attachment 115018 [details]
new bittorrent init scripts for tracker and seed

new initscripts for the bittorrent package.

Comment 8 Paul Howarth 2005-06-03 15:48:51 UTC
I've updated the scripts in the bittorrent-4.1.1-2.fc5 package (devel). Not
quite the same as the ones you supplied; I've now managed to get them in a state
where they check properly that the "daemons" have started and also that I can
start them from an ssh session and actually be able to log out of that session
cleanly :-)


Comment 9 Seth Vidal 2005-06-03 17:45:47 UTC
yah, I noticed those checkins. That rocks. Thanks!



Note You need to log in before you can comment on or make changes to this bug.